<?php include 'includes/admin-header.php'; ?>



<!DOCTYPE html>
<html>
<head>
	<title>jQuery Multi Step Form Wizard Plugin With Demo</title>
	<link rel="stylesheet" type="text/css" href="assets/css/multi-form.css?v2">
    <link rel="shortcut icon" href="assets/images/favicon.ico">
    <link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
    <link href="assets/libs/dropzone/min/dropzone.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/libs/select2/css/select2.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/libs/dropzone/min/dropzone.min.css" rel="stylesheet" type="text/css" />
	<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.17.0/dist/jquery.validate.min.js"></script>
	<script type="text/javascript" src="assets/js/multi-form.js?v2"></script>
	<script type="text/javascript">
		$(document).ready(function(){
			$.validator.addMethod('date', function(value, element, param) {
				return (value != 0) && (value <= 31) && (value == parseInt(value, 10));
			}, 'Please enter a valid date!');
			$.validator.addMethod('month', function(value, element, param) {
				return (value != 0) && (value <= 12) && (value == parseInt(value, 10));
			}, 'Please enter a valid month!');
			$.validator.addMethod('year', function(value, element, param) {
				return (value != 0) && (value >= 1900) && (value == parseInt(value, 10));
			}, 'Please enter a valid year not less than 1900!');
			$.validator.addMethod('username', function(value, element, param) {
				var nameRegex = /^[a-zA-Z0-9]+$/;
				return value.match(nameRegex);
			}, 'Only a-z, A-Z, 0-9 characters are allowed');

			var val	=	{
			    // Specify validation rules
			    rules: {
			      fname: "required",
			      email: {
					        required: true,
					        email: true
					      },
					phone: {
						required:true,
						minlength:10,
						maxlength:10,
						digits:true
					},
					date:{
						date:true,
						required:true,
						minlength:2,
						maxlength:2,
						digits:true
					},
					month:{
						month:true,
						required:true,
						minlength:2,
						maxlength:2,
						digits:true
					},
					year:{
						year:true,
						required:true,
						minlength:4,
						maxlength:4,
						digits:true
					},
					username:{
						username:true,
						required:true,
						minlength:4,
						maxlength:16,
					},
					password:{
						required:true,
						minlength:8,
						maxlength:16,
					}
			    },
			    // Specify validation error messages
			    messages: {
					fname: 		"First name is required",
					email: {
						required: 	"Email is required",
						email: 		"Please enter a valid e-mail",
					},
					phone:{
						required: 	"Phone number is requied",
						minlength: 	"Please enter 10 digit mobile number",
						maxlength: 	"Please enter 10 digit mobile number",
						digits: 	"Only numbers are allowed in this field"
					},
					date:{
						required: 	"Date is required",
						minlength: 	"Date should be a 2 digit number, e.i., 01 or 20",
						maxlength: 	"Date should be a 2 digit number, e.i., 01 or 20",
						digits: 	"Date should be a number"
					},
					month:{
						required: 	"Month is required",
						minlength: 	"Month should be a 2 digit number, e.i., 01 or 12",
						maxlength: 	"Month should be a 2 digit number, e.i., 01 or 12",
						digits: 	"Only numbers are allowed in this field"
					},
					year:{
						required: 	"Year is required",
						minlength: 	"Year should be a 4 digit number, e.i., 2018 or 1990",
						maxlength: 	"Year should be a 4 digit number, e.i., 2018 or 1990",
						digits: 	"Only numbers are allowed in this field"
					},
					username:{
						required: 	"Username is required",
						minlength: 	"Username should be minimum 4 characters",
						maxlength: 	"Username should be maximum 16 characters",
					},
					password:{
						required: 	"Password is required",
						minlength: 	"Password should be minimum 8 characters",
						maxlength: 	"Password should be maximum 16 characters",
					}
			    }
			}
			$("#myForm").multiStepForm(
			{
				// defaultStep:0,
				beforeSubmit : function(form, submit){
					console.log("called before submiting the form");
					console.log(form);
					console.log(submit);
				},
				validations:val,
			}
			).navigateTo(0);
		});
	</script>
</head>
<body>
	<!-- <h1 style="margin-top:50px; color: white;">jQuery Multi Step Form Wizard Plugin With Demo</h1> -->
    <div id="layout-wrapper">
        <div class="main-content">
         <div class="page-content">
             <div class="container-fluid">
                    <div class="row">
                            <div class="col-12">
                                <div class="text-center pt-2 pb-2">
                                    <h4 class="mb-0">UDDHAAR DIGITAL</h4>

                                    <!-- <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                                            <li class="breadcrumb-item active">Wizard</li>
                                        </ol>
                                    </div> -->

                                </div>
                            </div>
                    </div><br>
                <div class="row">
                    <div class="col-md-1"></div>
                    <div class="col-md-10">
                        <div class="card">
                            <div class="card-body">
                                <form id="myForm" action="#" method="POST">
                                    <!-- <h1>Registration Form</h1> -->
                                    <!-- One "tab" for each step in the form: -->
                                    <div class="tab">Personal Details
                                    <section>
                                              
                                              <div class="row">
                                                  <div class="col-lg-6 ">
                                                      <div class="mb-3">
                                                          <label for="basicpill-firstname-input" class="form-label">Please enter your distributor's name</label>
                                                          <input type="text" class="form-control" id="distributorName" required>
                                                          <div class="invalid-feedback">
                                                          Please add distributor name
                                                          </div>
                                                      </div>
                                                  </div>
                                                  <div class=" col-lg-6 ">
                                                      <div class="mb-3">
                                                          <label for="basicpill-lastname-input">Your Shop/Company Name</label>
                                                          <input type="text" class="form-control" id="shopName">
                                                          <div class="invalid-feedback">
                                                          Please add shop/company name
                                                          </div>
                                                      </div>
                                                  </div>
                                              </div>
                                              
                                              <div class="row">
                                                  <div class="col-lg-2">
                                                      <div class="mb-3">
                                                          <label for="basicpill-firstname-input">Is your company ?</label>                                                                
                                                      </div>
                                                  </div>
                                                  <div class="form-check mb-3 col-lg-2">
                                                          <input class="form-check-input" type="radio" name="isCompany"  id="proprietor" checked>
                                                          <label class="form-check-label" for="isCompany">
                                                              Proprietor
                                                          </label>
                                                  </div>
                                                  <div class="form-check col-lg-2">
                                                          <input class="form-check-input" type="radio" name="isCompany" id="partnership">
                                                          <label class="form-check-label" for="isCompany">
                                                              Partnership Firm
                                                          </label>
                                                  </div>                                                      
                                              </div>

                                              <!-- Proprietor Details -->
                                              <div  id="proprietorDetails">
                                                  <div class="row">
                                                      <div class="col-lg-6">
                                                          <div class="mb-3">
                                                              <label for="basicpill-firstname-input">First Name of Proprietor (Owner)</label>
                                                              <input type="text" class="form-control" id="firstNameOwner" >
                                                              <div class="invalid-feedback">
                                                              Please add first name of proprietor 
                                                              </div>
                                                          </div>
                                                      </div>
                                                      <div class="col-lg-6">
                                                          <div class="mb-3">
                                                              <label for="basicpill-lastname-input">Last Name Of Proprietor (Owner)</label>
                                                              <input type="text" class="form-control" id="lastNameOwner">
                                                          </div>
                                                      </div>
                                                  </div>
                                                  <div class="row">
                                                      <div class="col-lg-6">
                                                          <div class="mb-3">
                                                              <label for="basicpill-phoneno-input">Mobile Number</label>
                                                              <input type="text" class="form-control" id="basicpill-phoneno-input">
                                                          </div>
                                                      </div>
                                                      <div class="col-lg-6">
                                                          <div class="mb-3">
                                                              <label for="basicpill-email-input">Email</label>
                                                              <input type="email" class="form-control" id="basicpill-email-input">
                                                          </div>
                                                      </div>
                                                  </div>
                                              </div>
                                              <!-- EOF Proprietor Details-->

                                              <!-- Partnership Details -->
                                              <div class="hidden" id="partnersDetails">
                                                  <div class="row">
                                                      <div class="col-lg-6">
                                                          <div class="mb-3">
                                                              <label class="form-label">Number of Partners/Directors</label>
                                                              <select class="form-select" name="number_of_partners" id="number_of_partners">
                                                                  <option>Select</option>
                                                                  <?php for($i=1; $i<=8; $i++) { ?>
                                                                  <option value="<?=$i?>"><?=$i?></option>
                                                                  <?php } ?>
                                                              </select>   
                                                          </div>
                                                      </div>                                                  
                                                  </div>
                                                  <div class="row" id="partner_info">                                                     
                                                  </div>
                                              </div><br>
                                              <!-- EOF Partnership Details-->                                                    

                                              <div class="row">
                                                  <div class="col-lg-12">
                                                      <div class="mb-3">
                                                          <label for="basicpill-address-input">Please enter current residential address
                                                              (Flat Number, Floor, Wing, Building Name, Society Name< Area Name)</label>
                                                          <textarea id="basicpill-address-input" class="form-control" rows="2"></textarea>
                                                      </div>
                                                  </div>
                                              </div>

                                              <div class="row">
                                                  <div class="col-lg-6">
                                                      <div class="mb-3">
                                                          <label for="basicpill-firstname-input">Landmark</label>
                                                          <input type="text" class="form-control" id="firstNameOwner">
                                                          <div class="invalid-feedback">
                                                          Please add landmark
                                                          </div>
                                                      </div>
                                                  </div>
                                                  <div class="col-lg-6">
                                                      <div class="mb-3">
                                                          <label for="basicpill-lastname-input">Town</label>
                                                          <input type="text" class="form-control" id="lastNameOwner">
                                                      </div>
                                                  </div>                                                
                                              </div>

                                              <div class="row">   
                                                  <div class="col-lg-4">
                                                      <div class="mb-3">
                                                          <label for="basicpill-firstname-input">Pin Code</label>
                                                          <input type="number" class="form-control" name="pincode" maxlength="6" minlength="6"  id="pincode">
                                                          <div class="invalid-feedback">
                                                          Please add proper pincode 
                                                          </div>
                                                      </div>
                                                  </div>                                                   
                                                  <div class="col-lg-4">                                                          
                                                      <div class="mb-3">
                                                          <label class="form-label">City</label>
                                                          <input type="text" class="form-control" name="city" id="city">  
                                                      </div>                                                         
                                                  </div>
                                                  <div class="col-lg-4">                                                          
                                                          <div class="mb-3">
                                                              <label class="form-label">State</label>
                                                              <select class="form-select" name="state" id="state">  
                                                                  <option>Select</option>
                                                              <?php $states =  ["Andaman and Nicobar Islands",  "Andhra Pradesh",  "Arunachal Pradesh",  "Assam",  "Bihar",  "Chandigarh",  "Chhattisgarh",  "Dadra and Nagar Haveli",  "Daman and Diu",  "Delhi",  "Goa",  "Gujarat",  "Haryana",  "Himachal Pradesh",  "Jammu and Kashmir",  "Jharkhand",  "Karnataka",  "Kerala",  "Ladakh",  "Lakshadweep",  "Madhya Pradesh",  "Maharashtra",  "Manipur",  "Meghalaya",  "Mizoram",  "Nagaland",  "Odisha",  "Puducherry",  "Punjab",  "Rajasthan",  "Sikkim",  "Tamil Nadu",  "Telangana",  "Tripura",  "Uttar Pradesh",  "Uttarakhand",  "West Bengal"];
                                                                  foreach($states as $state) {
                                                                      echo("<option value='".$state."'>".$state."</option>");
                                                                  }
                                                              ?>

                                                              </select>               
                                                  </div>                                                         
                                              </div><br>
                                              
                                              <div id="uploadAddress" class="pb-30">                                                        
                                                  <div class="row mb-5 mt-5">
                                                      <div class="col-md-12">
                                                          <div action="#" class="dropzone">
                                                              <h5 class="text-center">                              
                                                              Please upload your current residential address proof                       
                                                              </h5>
                                                              <div class="fallback">
                                                                  <input name="file" type="file" name="address_proof">
                                                              </div>
                                                              <div class="dz-message needsclick">
                                                                  <div class="mb-3">
                                                                      <i class="display-4 text-muted uil uil-cloud-upload"></i>
                                                                  </div>                                                        
                                                                  <h4>Drop files here or click to upload.</h4>
                                                              </div>
                                                          </div>
                                                      </div>                                                   
                                                  </div>                                                
                                              </div><br>

                                              <div class="row">
                                                  <div class="col-lg-12">
                                                      <div class="mb-3">
                                                          <label for="basicpill-address-input">
                                                              Shop/Company Address</label>
                                                          <textarea id="basicpill-address-input" class="form-control" rows="2"></textarea>
                                                      </div>
                                                  </div>
                                              </div>

                                              <div class="row">   
                                                  <div class="col-lg-4">
                                                      <div class="mb-3">
                                                          <label for="basicpill-firstname-input">Pin Code</label>
                                                          <input type="number" class="form-control" name="pincode2" maxlength="6" minlength="6"  id="pincode2">
                                                          <div class="invalid-feedback">
                                                          Please add proper pincode 
                                                          </div>
                                                      </div>
                                                  </div>                                                   
                                                  <div class="col-lg-4">                                                          
                                                      <div class="mb-3">
                                                          <label class="form-label">City</label>
                                                          <input type="text" class="form-control" name="city2" id="city2">  
                                                      </div>                                                         
                                                  </div>
                                                  <div class="col-lg-4">                                                          
                                                          <div class="mb-3">
                                                              <label class="form-label">State</label>
                                                              <select class="form-select" name="state2" id="state2">  
                                                                  <option>Select</option>
                                                              <?php $states =  ["Andaman and Nicobar Islands",  "Andhra Pradesh",  "Arunachal Pradesh",  "Assam",  "Bihar",  "Chandigarh",  "Chhattisgarh",  "Dadra and Nagar Haveli",  "Daman and Diu",  "Delhi",  "Goa",  "Gujarat",  "Haryana",  "Himachal Pradesh",  "Jammu and Kashmir",  "Jharkhand",  "Karnataka",  "Kerala",  "Ladakh",  "Lakshadweep",  "Madhya Pradesh",  "Maharashtra",  "Manipur",  "Meghalaya",  "Mizoram",  "Nagaland",  "Odisha",  "Puducherry",  "Punjab",  "Rajasthan",  "Sikkim",  "Tamil Nadu",  "Telangana",  "Tripura",  "Uttar Pradesh",  "Uttarakhand",  "West Bengal"];
                                                                  foreach($states as $state) {
                                                                      echo("<option value='".$state."'>".$state."</option>");
                                                                  }
                                                              ?>

                                                              </select>               
                                                  </div>                                                         
                                              </div><br>
                                                
                                          </div>                                           
          
                                 
                                  </section>
                                    </div>

                                    <div class="tab">Bank Details
                                    <section>
                                               
                                               <div class="row">
                                                   <div class="col-lg-4">
                                                       <div class="mb-3">
                                                           <label>Can you upload the (Name) canceled cheque?</label>                                                                
                                                       </div>
                                                   </div>
                                                   <div class="form-check mb-3 col-lg-1">
                                                       <input class="form-check-input" type="radio" name="cheque"  id="checked" checked>
                                                       <label class="form-check-label" for="cheque">
                                                           Yes
                                                       </label>
                                                   </div>
                                                   <div class="form-check col-lg-1">
                                                       <input class="form-check-input" type="radio" name="cheque" id="unchecked">
                                                       <label class="form-check-label" for="cheque">
                                                       No
                                                       </label>
                                                   </div>   
                                               </div>
                                               <br>

                                               <div id="uploadCheck" class="">                                                        
                                                   <div class="row">
                                                       <div class="col-md-12">
                                                           <div action="#" class="dropzone">
                                                               <h5 class="text-center">                              
                                                                   Please upload cancel check                       
                                                               </h5>
                                                               <div class="invalid-feedback">
                                                               Please upload cancel check      
                                                               </div>
                                                               <div class="fallback">
                                                                   <input name="file" type="file" name="cancelled_cheque" required id="cancelCheck">
                                                               </div>
                                                               <div class="dz-message needsclick">
                                                                   <div class="mb-3">
                                                                       <i class="display-4 text-muted uil uil-cloud-upload"></i>
                                                                   </div>                                                        
                                                                   <h4>Drop files here or click to upload.</h4>
                                                               </div>
                                                           </div>
                                                       </div>                                                   
                                                   </div>                                                
                                               </div>
                                               <br>

                                               <div id="noCheck" class="hidden">
                                                   <div class="row">  
                                                       <div class="col-lg-4">
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">Bank Name</label>
                                                               <input type="text" class="form-control" id="bank_name" name="bank_name"  required>
                                                               <div class="invalid-feedback">
                                                               Please add bank name
                                                               </div>
                                                           </div>                                                      
                                                       </div>                                                  
                                                       <div class="col-lg-4">                                         
                                                           <div class="mb-3">
                                                               <label class="form-label">Type of Account</label>
                                                               <select class="form-select" name="account_type">
                                                                   <option>Select</option>
                                                                   <option value="Saving Account">Saving Account</option>
                                                                   <option value="Current Account">Current Account</option>
                                                                   <option value="Cash Credit Account">Cash Credit Account</option>
                                                               </select>            
                                                           </div>                                                         
                                                       </div>
                                                       <div class="col-lg-4">
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">Name in bank account</label>
                                                               <input type="number" class="form-control" id="account_name" name="account_name"  required>
                                                               <div class="invalid-feedback">
                                                               Please add account name
                                                               </div>
                                                           </div>                                                      
                                                       </div>
                                                   </div><br>   
                                                   <div class="row"> 
                                                       <div class="col-lg-4">
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">Account Number</label>
                                                               <input type="number" class="form-control" id="account_number" name="account_number"  required>
                                                               <div class="invalid-feedback">
                                                               Please add account number
                                                               </div>
                                                           </div>                                                      
                                                       </div>
                                                       <div class="col-lg-4">
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">Confirm Your Account Number</label>
                                                               <input type="number" class="form-control" id="confirm_account_number" required>
                                                               <div class="invalid-feedback">
                                                               Please add correct account number
                                                               </div>
                                                           </div>
                                                       </div>
                                                       <div class="col-lg-4">
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">Enter your IFSC Code</label>
                                                               <input type="text" class="form-control" id="ifsc" required>
                                                               <div class="invalid-feedback">
                                                               Please add IFSC code
                                                               </div>
                                                           </div>
                                                       </div>
                                                   </div>
                                                   <br>                                                          
                                                   
                                                   <div class="row">                                                      
                                                       <div class="col-lg-6">                                                          
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">Bank Branch</label>
                                                               <input type="text" class="form-control" name="branch"  required>
                                                               <div class="invalid-feedback">
                                                               Please add branch name
                                                               </div>
                                                           </div>                                                          
                                                       </div>
                                                       <div class="col-lg-6">                                                          
                                                           <div class="mb-3">
                                                               <label for="basicpill-firstname-input">UPI Bank Account Number</label>
                                                               <input type="text" class="form-control" name="upi"  required>
                                                               <div class="invalid-feedback">
                                                               Please add UPI Bank Account Number
                                                               </div>
                                                           </div>                                                      
                                                       </div>
                                                   </div>
                                                   <br>                                                        
                                               </div>                                                 
                                           
                                </section>
                                    </div>
                                    <div class="tab">Company Details
                                    <section>
                                               
                                               <div class="row">
                                                   <div class="col-lg-6">
                                                       <div class="mb-3">
                                                           <label for="basicpill-firstname-input"> GSTIN Number </label>
                                                           <input type="text" class="form-control" name="gst_number" required>
                                                           <div class="invalid-feedback">                                 
                                                               Please add GSTIN Number 
                                                           </div>
                                                       </div>
                                                   </div>
                                                   <!-- <div class="col-lg-6">
                                                       <div class="mb-3">
                                                           <label for="basicpill-firstname-input">Date Of Incorporation</label>
                                                           <input type="date" class="form-control" name="date">
                                                           <div class="invalid-feedback">
                                                           Please add date of incorporation
                                                           </div>
                                                       </div>
                                                   </div>                                                         -->
                                               </div><br>

                                               <div class="row">
                                               <div class="col-lg-2">
                                                   <div class="mb-3">
                                                       <label for="basicpill-firstname-input">Do you own your shop?</label>                                                                
                                                   </div>
                                               </div>
                                                <div class="form-check mb-3 col-lg-1">
                                                       <input class="form-check-input" type="radio" name="shop_owned" value="1" id="shopChecked" checked>
                                                       <label class="form-check-label" for="shop_owned">
                                                           Yes
                                                       </label>
                                                </div>
                                               <div class="form-check col-lg-1">
                                                       <input class="form-check-input" type="radio" name="shop_owned" value="0" id="shopUnchecked">
                                                       <label class="form-check-label" for="shop_owned">
                                                          No
                                                       </label>
                                               </div>   
                                           </div>

                                           <div class="row">                                                      
                                               <div class="col-lg-6">                                                          
                                                   <div class="mb-3">
                                                       <label class="form-label">Number of employees you have</label>
                                                       <select class="form-select" name="number_employees">
                                                           <option>Select</option>
                                                           <?php $number_employees = ["1 - 2", "3 - 5", "6 - 10", "10+"];
                                                               foreach($number_employees as $employee) {
                                                           ?>
                                                           <option value="<?=$employee?>"><?=$employee?></option>
                                                           <?php } ?>
                                                       </select>             
                                                   </div>                                                         
                                               </div>
                                               <div class="col-lg-6">
                                                   <div class="mb-3">
                                                       <label class="form-label">
                                                        On a scale of 1-10, how many times do you pay the distributor in cash?</label>
                                                       <select class="form-select">
                                                           <option>Select</option>
                                                           <?php for($i=1; $i<=10; $i++) { ?>
                                                           <option value="<?=$i?>"><?=$i?></option>
                                                           <?php } ?>
                                                       </select>                                                                    
                                                   </div> 
                                               </div>
                                           </div>
                                           <br>

                                           <div class="row">
                                               <div class="col-lg-4">
                                                   <div class="mb-3">
                                                       <label for="basicpill-firstname-input">Do you own a commercial/delivery vehicle?</label>                                              
                                                   </div>
                                               </div>
                                                <div class="form-check mb-3 col-lg-1">
                                                       <input class="form-check-input" type="radio" name="vehicle" value="1" checked>
                                                       <label class="form-check-label" for="vehicle">
                                                           Yes
                                                       </label>
                                                </div>
                                               <div class="form-check col-lg-1">
                                                       <input class="form-check-input" type="radio" name="vehicle" value="0">
                                                       <label class="form-check-label" for="vehicle">
                                                          No
                                                       </label>
                                               </div>   
                                           </div>
                                           <br>

                                           <div class="row">   
                                               <div class="col-lg-6">
                                                   <div class="mb-3">
                                                       <label class="form-label">
                                                           On an average out of 10 retailers, how many distributor pay mostly in cheque/UPI/NEFT/RTGS/wallet?
                                                       </label>
                                                       <select class="form-select" name="retailer_other">
                                                           <option>Select</option>
                                                           <?php for($i=1; $i<=10; $i++) { ?>
                                                           <option value="<?=$i?>"><?=$i?></option>
                                                           <?php } ?>
                                                       </select>                                                                    
                                                   </div> 
                                               </div>                                                   
                                               <div class="col-lg-6">
                                                   <div class="mb-3">
                                                       <label class="form-label">                                                                
                                                           On a scale of 1-10, how many times do your customer pay you via UPI/Wallet/Netbanking?
                                                       </label>
                                                       <select class="form-select" name="retailer_other">
                                                           <option>Select</option>
                                                           <?php for($i=1; $i<=10; $i++) { ?>
                                                           <option value="<?=$i?>"><?=$i?></option>
                                                           <?php } ?>
                                                       </select>                                                                    
                                                   </div> 
                                               </div>                                                      
                                           </div>
                                           <br>

                                           <div class="row">   
                                               <div class="col-lg-6">
                                                   <div class="mb-3">
                                                       <label class="form-label">
                                                         On a scale of 1-10, how many times do your customers pay you in cash?
                                                       </label>
                                                       <select class="form-select" name="retailer_other">
                                                           <option>Select</option>
                                                           <?php for($i=1; $i<=10; $i++) { ?>
                                                           <option value="<?=$i?>"><?=$i?></option>
                                                           <?php } ?>
                                                       </select>                                                                    
                                                   </div> 
                                               </div>                                                   
                                               <div class="col-lg-6">           
                                                   <div class="mb-3">
                                                       <label>Number of distributors you have?</label>
                                                       <input type="text" class="form-control" name="family_member_name">
                                                       <div class="invalid-feedback">
                                                          Please add distributor number
                                                       </div>
                                                   </div>                                                      
                                               </div>                                                   
                                           </div>
                                           <br>

                                           <div class="row">                                                      
                                               <div class="col-lg-6">                                                          
                                                   <div class="mb-3">
                                                       <label class="form-label">Average delivery cycle</label>
                                                       <select class="form-select" name="delivery_cycle">
                                                           <option>Select</option>
                                                           <?php $delivery_cycle = ["1 - 3 Days", "4 - 7 Days", "8 - 15 Days", "16 - 30 Days"];
                                                               foreach($delivery_cycle as $delivery) {
                                                           ?>
                                                           <option value="<?=$delivery?>"><?=$delivery?></option>
                                                           <?php } ?>
                                                       </select>                    
                                                   </div>                                                         
                                               </div>
                                               <div class="col-lg-6">                                                          
                                                   <div class="mb-3">
                                                       <label class="form-label">           
                                                           Do you give credit to your customers?
                                                       </label>
                                                       <select class="form-select" name="retailer_security_cheque">
                                                           <option>Select</option>
                                                           <option value="1">Yes</option>
                                                           <option value="0">No</option>
                                                       </select>                                                                    
                                                   </div>                                                        
                                               </div>
                                       
                                           </div>
                                           <br>

                                           <div class="row">
                                               <div class="col-lg-6">
                                                   <div class="mb-3">
                                                       <label class="form-label">
                                                           Does any of your family member operates the store?
                                                       </label>
                                                       <select class="form-select" id="familyYesNo">
                                                           <option>Select</option>
                                                           <option value="1">Yes</option>
                                                           <option value="0">No</option>
                                                       </select>                                                                    
                                                   </div> 
                                               </div>
                                               <div class="col-lg-6" style="display:none;" id="family_member_name">           
                                                   <div class="mb-3">
                                                       <label>Name of any family member who operates the store? (if any)</label>
                                                       <input type="text" class="form-control" name="family_member_name">
                                                       <div class="invalid-feedback">
                                                          Please add family member name
                                                       </div>
                                                   </div>                                                      
                                               </div>
                                           </div>  
                                                     
                                         
                               </section>
                                    </div>
                                    <div class="tab">Distributor Details
                                    <section>
                                               <div>
                                                 
                                                        <div class="row">
                                                            <div class="col-lg-6">
                                                                <div class="mb-3">
                                                                    <label for="basicpill-namecard-input">Your Monthly Turnover</label>
                                                                    <input type="text" class="form-control" name="monthly_turnover">
                                                                </div>
                                                            </div> 
                                                            <div class="col-lg-6">
                                                                <div class="mb-3">
                                                                    <label class="form-label">Months with season sales? </label>
                                                                    <select class="form-select" name="season_sales">
                                                                        <option>Select</option>
                                                                        <?php for ($m=1; $m<=12; $m++) {
                                                                            $month = date('F', mktime(0,0,0,$m, 1, date('Y')));
                                                                        ?>
                                                                        <option value="<?=$m?>"><?=$month?></option>
                                                                        <?php } ?>
                                                                    </select>   
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <br>

                                                        <div class="row" id="distributor_retailer_info">
                                                            
                                                        </div>
                                                        <br> 
                                                        
                                                        <div class="row">
                                                            <div class="col-lg-6">
                                                                <div class="mb-3">
                                                                    <label for="basicpill-namecard-input">What accounting software do you use, if yes which?</label>
                                                                    <input type="text" class="form-control" name="accounting_software">
                                                                </div>
                                                            </div> 
                                                            <div class="col-lg-6">
                                                                <div class="mb-3">
                                                                    <label for="basicpill-namecard-input">Do you use any ordering platform, if yes which?</label>
                                                                    <input type="text" class="form-control" name="ordering_platform">
                                                                </div>
                                                            </div> 
                                                        </div>  
                                                        <br>
                                                    
                                                        <div class="row">                                                    
                                                            <div class="col-lg-6">                                                          
                                                                <div class="mb-3">
                                                                    <label class="form-label">Name of the Uddhaar's Relationship Manager who onboarded you</label>
                                                                    <select class="form-select" name="manager">
                                                                        <option>Select</option>
                                                                        <?php $manager = ["Vijay","Soham", "Harshil"];
                                                                            foreach($manager as $uddhar_manager) {
                                                                        ?>
                                                                        <option value="<?=$uddhar_manager?>"><?=$uddhar_manager?></option>
                                                                        <?php } ?>
                                                                    </select>                    
                                                                </div>                                                         
                                                            </div>
                                                            <div class="col-lg-6 pt-5">
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="autoSizingCheck2">
                                                                    <label class="form-check-label" for="autoSizingCheck2">
                                                                        I agree to the T&C put forwrd by UDDHAAR DIGITAL Digital Pvt. Ltd.
                                                                    </label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- <div class="row">
                                                            <div class="col-lg-6 pt-5">
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="autoSizingCheck2">
                                                                    <label class="form-check-label" for="autoSizingCheck2">
                                                                        I agree to the T&C put forwrd by UDDHAAR DIGITAL Digital Pvt. Ltd.
                                                                    </label>
                                                                </div>
                                                            </div>
                                                        </div> -->
                                                        <!-- <div class="row text-center">
                                                            <div class="col-md-10"></div>
                                                            <div class="col-md-1">
                                                                <button type="submit" class="btn btn-primary waves-effect waves-light">
                                                                Previous
                                                                </button>
                                                            </div>
                                                            <div class="col-md-1">
                                                                <button type="submit" class="btn btn-primary waves-effect waves-light">
                                                                Submit
                                                                </button>
                                                            </div>
                                                    </div>  -->
                                                        
                                                
                                                </div>
                                            </section>                                         
                                    </div>
                                    <div style="overflow:auto;">
                                        <div style="float:right; margin-top: 5px;">
                                            <button type="button" class="btn ">Previous</button>
                                            <button type="button" class="next">Next</button>
                                            <button type="button" class="submit">Submit</button>
                                        </div>
                                    </div>
                                    <!-- Circles which indicates the steps of the form: -->
                                    <div style="text-align:center;margin-top:40px;">
                                        <span class="step">1</span>
                                        <span class="step">2</span>
                                        <span class="step">3</span>
                                        <span class="step">4</span>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
         </div>
       </div>
    </div>
	

    <script src="assets/js/app.js"></script>
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>
<script src="assets/libs/waypoints/lib/jquery.waypoints.min.js"></script>
<script src="assets/libs/jquery.counterup/jquery.counterup.min.js"></script>
<script src="assets/libs/dropzone/min/dropzone.min.js"></script>
<script src="assets/libs/select2/js/select2.min.js"></script>
<script src="assets/libs/spectrum-colorpicker2/spectrum.min.js"></script>
<script src="assets/libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="assets/libs/%40chenfengyuan/datepicker/datepicker.min.js"></script>
<script src="assets/js/app.js"></script>
<script type="text/javascript">
    $(document).ready(function(){                   
                
                $('#company_type').on('change', function() {
                    if ( this.value == 'proprietor')
                    {
                        $("#proprietor").removeClass('hidden');
                    }
                    else if ( this.value == 'partnership' || this.value == 'private')
                    {
                        $("#partnershipPrivate").removeClass('hidden');
                        $("#proprietor").addClass('hidden'); 
                    }
                    else if( this.value == 'select'){
                        // $("#proprietor").hide(); 
                        $("#partnershipPrivate").addClass('hidden');
                        $("#proprietor").addClass('hidden'); 
                    }
                });
        
                $("#unchecked").click(function() {
                    $('#uploadCheck').addClass('hidden');
                    $('#noCheck').fadeIn(1000).removeClass('hidden');
                });
                $("#checked").click(function() {
                    $('#noCheck').addClass('hidden');
                    $('#uploadCheck').fadeIn(1000).removeClass('hidden');
                });

            // Proprietor/Partnership
             $('#partnership').click(function(){
                 $('#partnersDetails').fadeIn(1000).removeClass('hidden');
                 $('#proprietorDetails').fadeIn(1000).addClass('hidden');
             })

             $('#proprietor').click(function(){
                 $('#proprietorDetails').fadeIn(1000).removeClass('hidden');
                 $('#partnersDetails').fadeIn(1000).addClass('hidden');
             })
            // EOF  Proprietor/Partnership

                $("#familyYesNo").click(function() {
                    val = this.value;
                    if(val == 1) {
                        $('#family_member_name').show();
                    }
                    else if(val == 0) {
                        $('#family_member_name').hide();
                    }
                })

                // Number of Partners
                $('#number_of_partners').on('change', function() {
                    document.getElementById("partner_info").innerHTML = '';
                    for(i=1; i <= parseInt(this.value); i++) {
                        document.getElementById("partner_info").innerHTML +=
                            '<div class="col-lg-6">\
                                <div class="mb-3">\
                                    <label for="basicpill-namecard-input">First Name Of Director/Partner - '+ i +'</label>\
                                    <input type="text" class="form-control" name="partner_first_name_'+ i +'">\
                                </div>\
                            </div> \
                            <div class="col-lg-6">\
                                <div class="mb-3">\
                                    <label for="basicpill-namecard-input">Last Name Of Director/Partner - '+ i +'</label>\
                                    <input type="number" class="form-control" name="partner_last_name_'+ i +'">\
                                </div>\
                            </div>\
                            <div class="col-lg-6">\
                                <div class="mb-3">\
                                    <label for="basicpill-namecard-input">Phone Number Of Director/Partner - '+ i +'</label>\
                                    <input type="tel" class="form-control" name="partner_phone_'+ i +'">\
                                </div>\
                            </div> \
                            <div class="col-lg-6">\
                                <div class="mb-3">\
                                    <label for="basicpill-namecard-input">Email ID Of Director/Partner - '+ i +'</label>\
                                    <input type="email" class="form-control" name="partner_emaill_'+ i +'">\
                                </div>\
                            </div>';
                    }
                });
                // EOF Number of Partners


            // Picode 1st section 
                $('#pincode').on('change keyup', function() {
                    var pincode = this.value;
                    if(pincode.length == 6) {
                        $.ajax({
                            type: "GET",
                            url: "https://api.postalpincode.in/pincode/"+pincode,
                            success: function(data)
                            {
                                data = data[0];
                                console.log(data);
                                if(data['Status'] == "Success") {
                                    console.log(data['PostOffice'][0]['State']);
                                    document.getElementById('city').value = data['PostOffice'][0]['District'];
                                    document.getElementById('state').value = data['PostOffice'][0]['State'];
                                }
                            }
                        });
                    }
                })
            // EOF pincode 1st section

            // Picode 1st section    
                $('#pincode2').on('change keyup', function() {
                    var pincode2 = this.value;
                    if(pincode2.length == 6) {
                        $.ajax({
                            type: "GET",
                            url: "https://api.postalpincode.in/pincode/"+pincode2,
                            success: function(data)
                            {
                                data = data[0];
                                console.log(data);
                                if(data['Status'] == "Success") {
                                    console.log(data['PostOffice'][0]['State']);
                                    document.getElementById('city2').value = data['PostOffice'][0]['District'];
                                    document.getElementById('state2').value = data['PostOffice'][0]['State'];
                                }
                            }
                        });
                    }
                })
            // EOF pincode 1st section
            
            });

        </script>
</body>
</html>
